<?php

namespace App\Generated\V1_1\Messages\UserNotice;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class SysnoticeListMessage extends Message
{
    use ValueHelper;

    protected $page;
    protected $unread;
    protected $result;

    /**
     * @return int|null
     */
    public function getPage()
    {
        return $this->page;
    }

    /**
     * @return int
     */
    public function getUnread()
    {
        return $this->unread;
    }

    public function requestRules()
    {
        return [
            ['page', 'page', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['unread', 'unread', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
